#include <afxwin.h>
#include "TriDialog.h"
#include "resource.h"
#include <math.h>

afx_msg void TriDialog::OnOK() {
	CEdit * kbox = (CEdit *) (GetDlgItem(IDC_KBOX));
	CEdit * xbox = (CEdit *) (GetDlgItem(IDC_XBOX));
	CEdit * ybox = (CEdit *) (GetDlgItem(IDC_YBOX));

	char text[8];
	kbox->GetWindowText(text,8);
	k = atoi(text);

	xbox->GetWindowText(text,8);
	x = atoi(text);

	ybox->GetWindowText(text,8);
	y = atoi(text);

	if(k<=0) {
		MessageBox("Bad choice of k, please enter valid input.",
				   "Bad input.", MB_ICONEXCLAMATION);
		return;
	}

	if(x>pow(2,k) || y>pow(2,k) || x<1 || y<1) {
		MessageBox("Bad choice of X or Y, please enter valid input.",
				   "Off the board!", MB_ICONEXCLAMATION);
		return;
	}

	EndDialog(0);
}

afx_msg void TriDialog::OnCancel() {
	EndDialog(-1);
}

BEGIN_MESSAGE_MAP( TriDialog, CDialog ) 
	ON_COMMAND( IDOK, OnOK )
	ON_COMMAND( IDCANCEL, OnCancel )
END_MESSAGE_MAP()